#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.10
visibility:           public
id:                   skylighting-core-0.10-7hRpA61mqYp4gD9IoScokN
key:                  skylighting-core-0.10-7hRpA61mqYp4gD9IoScokN
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  221cf4a6f91b19efc834aa731a83c098
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-8.10.2/site-local/skylighting-core-0.10
library-dirs:         /usr/lib/ghc-8.10.2/site-local/skylighting-core-0.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/skylighting-core-0.10
hs-libraries:         HSskylighting-core-0.10-7hRpA61mqYp4gD9IoScokN
depends:
    aeson-1.5.4.1-L4blGMy4f2B3cvSeFwSnLz
    ansi-terminal-0.11-9pYxsmg45rS4xxti1sPCFD
    attoparsec-0.13.2.4-KEyXx14pxg5Gm10vjvQskB base-4.14.1.0
    base64-bytestring-1.2.0.1-B2ZqPQ2l7aS69MXBYqVZV1 binary-0.8.8.0
    blaze-html-0.9.1.2-5PpJkIIIWcXAeSgzqVk8fk bytestring-0.10.10.0
    case-insensitive-1.2.1.0-67UnwAOqbT8BnKxqPm1bDl
    colour-2.3.5-Cps6f8Fyw3U1xJvt90tNlL containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hxt-9.3.1.18-53hdcMClMwhI49NVGgwfwh mtl-2.2.2
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b text-1.2.3.2
    transformers-0.5.6.2 utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

